from .scrapper import scrape_reviews
from .utils import get_max_date, store_into_database


def populate_yelp_reviews(location, n_pages):
    location_url = location.url
    max_date = get_max_date(location)
    reviews = scrape_reviews(
        location_url=location_url,
        max_date=max_date,
        n_pages=n_pages
    )
    store_into_database(reviews, location)
